class PlayGui extends LRG.LRGMovieClip
{
   var m_kMuteButtonHolder;
   var m_kLivesIndicator;
   var m_kScoreIndicator;
   var m_kClusterBombsIndicator;
   function PlayGui()
   {
      super();
   }
   function init()
   {
      super.init();
   }
   function onShow()
   {
      this.updateMuteButton();
   }
   function updateMuteButton()
   {
      if(_global.LRG.LRGMusic.m_bMuted)
      {
         this.m_kMuteButtonHolder.gotoAndStop("SoundOff");
      }
      else
      {
         this.m_kMuteButtonHolder.gotoAndStop("SoundOn");
      }
      this.m_kMuteButtonHolder.m_kMusicIsOn.onRelease = function()
      {
         _global.LRG.LRGMusic.muteMusic(true);
         this._parent._parent.updateMuteButton();
      };
      this.m_kMuteButtonHolder.m_kMusicIsOff.onRelease = function()
      {
         _global.LRG.LRGMusic.muteMusic(false);
         this._parent._parent.updateMuteButton();
      };
   }
   function setLives(fLives)
   {
      switch(fLives)
      {
         case 0:
            this.m_kLivesIndicator.gotoAndStop("shake dead");
            break;
         case 1:
            this.m_kLivesIndicator.gotoAndStop("meat dead");
            break;
         case 2:
            this.m_kLivesIndicator.gotoAndStop("all alive");
      }
   }
   function setScore(fScore)
   {
      this.m_kScoreIndicator.m_kText.text = "" + fScore;
   }
   function setClusterBombs(fClusterBombs)
   {
      switch(fClusterBombs)
      {
         case 0:
            this.m_kClusterBombsIndicator.gotoAndStop("no bottles");
            break;
         case 1:
            this.m_kClusterBombsIndicator.gotoAndStop("one bottle");
            break;
         case 2:
            this.m_kClusterBombsIndicator.gotoAndStop("two bottles");
            break;
         case 3:
            this.m_kClusterBombsIndicator.gotoAndStop("three bottles");
      }
   }
}
