class Settings
{
   var PLAYER_SYMBOL_2;
   var PLAYER_SYMBOL_1;
   var PLAYER_SYMBOL_0;
   var PLAYER_SPEED_2;
   var PLAYER_SPEED_1;
   var PLAYER_SPEED_0;
   var PLAYER_FIRE_RATE_2;
   var PLAYER_FIRE_RATE_1;
   var PLAYER_FIRE_RATE_0;
   var PLAYER_FIRE_FORCE_2;
   var PLAYER_FIRE_FORCE_1;
   var PLAYER_FIRE_FORCE_0;
   var PLAYER_FIRE_ANGLE_1;
   var PLAYER_FIRE_DIST_0;
   var PLAYER_FIRE_SYMBOL_2;
   var PLAYER_FIRE_SYMBOL_1;
   var PLAYER_FIRE_SYMBOL_0;
   var ENEMY_FIRE_FORCE1;
   var ENEMY_FIRE_FORCE_AD;
   var FORMATION_REPLACEMENT_RATE1;
   var FORMATION_REPLACEMENT_RATE_AD;
   var FORMATION_REPLACEMENT_RATE_MIN;
   var FORMATION_REPLACEMENT_SPEED1;
   var FORMATION_REPLACEMENT_SPEED_AD;
   var FORMATION_REPLACEMENT_FIRE_FORCE1;
   var FORMATION_REPLACEMENT_FIRE_FORCE_AD;
   var FORMATION_FIRE_RATE1;
   var FORMATION_FIRE_RATE_AD;
   var FORMATION_FIRE_RATE_MIN;
   var FORMATION_MIN_NUM_FIRING1;
   var FORMATION_MIN_NUM_FIRING_AD;
   var FORMATION_MAX_NUM_FIRING1;
   var FORMATION_MAX_NUM_FIRING_AD;
   var FORMATION_SPEED1;
   var FORMATION_SPEED_AD;
   var MOTHERSHIP_FREQUENCY1;
   var MOTHERSHIP_FREQUENCY_AD;
   var MOTHERSHIP_SPEED1;
   var MOTHERSHIP_SPEED_AD;
   var MOTHERSHIP_POINT_VALUE;
   var POWERUP_POINT_VALUE;
   var POWERUP_SPEED1;
   var POWERUP_SPEED_AD;
   var HIDE_BOUNDARIES;
   function Settings()
   {
      this.init();
   }
   function init()
   {
      this.PLAYER_SYMBOL_2 = "s_PlayerMeatWad";
      this.PLAYER_SYMBOL_1 = "s_PlayerMasterShake";
      this.PLAYER_SYMBOL_0 = "s_PlayerFrylock";
      this.PLAYER_SPEED_2 = 250;
      this.PLAYER_SPEED_1 = 300;
      this.PLAYER_SPEED_0 = 400;
      this.PLAYER_FIRE_RATE_2 = 2.75;
      this.PLAYER_FIRE_RATE_1 = 2;
      this.PLAYER_FIRE_RATE_0 = 5;
      this.PLAYER_FIRE_FORCE_2 = 300;
      this.PLAYER_FIRE_FORCE_1 = 400;
      this.PLAYER_FIRE_FORCE_0 = 500;
      this.PLAYER_FIRE_ANGLE_1 = 1.46607;
      this.PLAYER_FIRE_DIST_0 = 15;
      this.PLAYER_FIRE_SYMBOL_2 = "s_MeatWadMissile";
      this.PLAYER_FIRE_SYMBOL_1 = "s_MasterShakeMissile";
      this.PLAYER_FIRE_SYMBOL_0 = "s_FrylockMissile";
      this.ENEMY_FIRE_FORCE1 = 100;
      this.ENEMY_FIRE_FORCE_AD = 10;
      this.FORMATION_REPLACEMENT_RATE1 = 5;
      this.FORMATION_REPLACEMENT_RATE_AD = -0.15;
      this.FORMATION_REPLACEMENT_RATE_MIN = 2;
      this.FORMATION_REPLACEMENT_SPEED1 = 100;
      this.FORMATION_REPLACEMENT_SPEED_AD = 10;
      this.FORMATION_REPLACEMENT_FIRE_FORCE1 = 150;
      this.FORMATION_REPLACEMENT_FIRE_FORCE_AD = 11;
      this.FORMATION_FIRE_RATE1 = 1;
      this.FORMATION_FIRE_RATE_AD = -0.01;
      this.FORMATION_FIRE_RATE_MIN = 0.5;
      this.FORMATION_MIN_NUM_FIRING1 = 0;
      this.FORMATION_MIN_NUM_FIRING_AD = 0;
      this.FORMATION_MAX_NUM_FIRING1 = 3;
      this.FORMATION_MAX_NUM_FIRING_AD = 0.15;
      this.FORMATION_SPEED1 = 50;
      this.FORMATION_SPEED_AD = 5;
      this.MOTHERSHIP_FREQUENCY1 = 15;
      this.MOTHERSHIP_FREQUENCY_AD = -0.5;
      this.MOTHERSHIP_SPEED1 = 75;
      this.MOTHERSHIP_SPEED_AD = 5;
      this.MOTHERSHIP_POINT_VALUE = 1000;
      this.POWERUP_POINT_VALUE = 750;
      this.POWERUP_SPEED1 = 75;
      this.POWERUP_SPEED_AD = 5;
      this.HIDE_BOUNDARIES = true;
   }
   function getSetting(sSettingName)
   {
      return this[sSettingName];
   }
   function getSettingForLevel(sSettingName)
   {
      return this[sSettingName + "1"] + this[sSettingName + "_AD"] * (PlayerState(_global.getPlayerState()).getLevel() - 1);
   }
}
