class HumanPlayerController extends PlayerController
{
   var m_bFireKeyDown;
   var m_bClusterKeyDown;
   var m_kPlayer;
   function HumanPlayerController()
   {
      super();
   }
   function init()
   {
      super.init();
      this.m_bFireKeyDown = false;
      this.m_bClusterKeyDown = false;
      Key.addListener(this);
   }
   function onStartGame()
   {
   }
   function onStartRound()
   {
      this.m_kPlayer.setVelocityX(0);
      this.m_bFireKeyDown = false;
      this.m_bClusterKeyDown = false;
   }
   function onEndRound()
   {
   }
   function onKeyUp()
   {
      if(!Key.isDown(88))
      {
         this.m_bFireKeyDown = false;
      }
      if(!Key.isDown(90))
      {
         this.m_bClusterKeyDown = false;
      }
   }
   function update(fDeltaSecs)
   {
      if(ApplicationState(_global.getApplicationState()).isPaused())
      {
         return undefined;
      }
      if(Key.isDown(37))
      {
         this.m_kPlayer.onRequestMoveLeft();
      }
      else if(Key.isDown(39))
      {
         this.m_kPlayer.onRequestMoveRight();
      }
      else
      {
         this.m_kPlayer.onRequestStop();
      }
      if(!this.m_bFireKeyDown && Key.isDown(88))
      {
         this.m_bFireKeyDown = true;
         this.m_kPlayer.onRequestFireProjectile();
      }
      if(!this.m_bClusterKeyDown && Key.isDown(90))
      {
         this.m_bClusterKeyDown = true;
         this.m_kPlayer.onRequestFireClusterBomb();
      }
   }
}
