class PowerUp extends Projectile
{
   function PowerUp()
   {
      super();
      this.gotoAndStop("Drop");
   }
   function init()
   {
      super.init();
      this.playAnimation("INIT_DROP",40,40,77,false,1);
   }
   function collisionTest()
   {
      var _loc3_ = AquaTeenGame(_global.g_kApplication.m_kGameScreen).getPlayer();
      if(_loc3_.hitTest(this))
      {
         this.onImpact(_loc3_);
      }
   }
   function onImpact(kObject)
   {
      var _loc3_ = {x:this._x,y:this._y};
      this._parent.localToGlobal(_loc3_);
      var _loc4_ = _loc3_.x / 3 - 100;
      _global.playSound("athf_player_get_cluster.wav",1,this,_loc4_);
      if(PlayerState(_global.getPlayerState()).getClusterBombsRemaining() < 3)
      {
         PlayerState(_global.getPlayerState()).setClusterBombsRemaining(PlayerState(_global.getPlayerState()).getClusterBombsRemaining() + 1);
      }
      PlayerState(_global.getPlayerState()).setScore(PlayerState(_global.getPlayerState()).getScore() + Settings(_global.getSettings()).getSetting("POWERUP_POINT_VALUE"));
      this.doEnterFrame = undefined;
      this.playAnimation("BONUS",40,78,130,false,1);
   }
   function onActionCompleted(sActionKey)
   {
      if(sActionKey == "INIT_DROP")
      {
         this.playAnimation("FALL",20,1,39,true,1);
      }
      else if(sActionKey == "BONUS")
      {
         var _loc3_ = _global.g_kApplication.m_kGameScreen;
         _loc3_.onRequestRemoveProjectile(this);
      }
   }
}
